# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Sat Oct 21 18:14:36 2023
# ------------------------------------------------

package:
  name: annonars
  version: 0.24.2
source:
  sha256: c6bd5a0d1a49a337c24c0185390c081040fa136690fe16f7d9c7c30dbbcdf8f5
  url: https://github.com/bihealth/annonars/archive/refs/tags/v0.24.2.tar.gz
build:
  number: '0'
  run_exports:
    - annonars >=0.24.2,<0.25.0a0
  string: hb3cd794_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.20.1 hd590300_0
    - ca-certificates 2023.7.22 hbcca054_0
    - clang 17.0.3 ha0738ec_0
    - clang-17 17.0.3 default_h1cdf331_0
    - clang-format 17.0.3 default_h1cdf331_0
    - clang-format-17 17.0.3 default_h1cdf331_0
    - clang-tools 17.0.3 default_h1cdf331_0
    - clangdev 17.0.3 default_h1cdf331_0
    - clangxx 17.0.3 default_h1cdf331_0
    - cmake 3.27.6 hcfe8598_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_2
    - gcc_linux-64 12.3.0 h76fc315_2
    - gxx_impl_linux-64 12.3.0 he2b93b0_2
    - gxx_linux-64 12.3.0 h8a814eb_2
    - icu 73.2 h59595ed_0
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libabseil 20230802.1 cxx17_h59595ed_0
    - libclang 17.0.3 default_h1cdf331_0
    - libclang-cpp 17.0.3 default_h1cdf331_0
    - libclang-cpp17 17.0.3 default_h1cdf331_0
    - libclang13 17.0.3 default_h4d60ac6_0
    - libcurl 8.4.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libiconv 1.17 h166bdaf_0
    - libllvm17 17.0.3 h5cf9203_0
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.1 hd590300_0
    - libprotobuf 4.24.4 hf27288f_0
    - libsanitizer 12.3.0 h0f45ef3_2
    - libsqlite 3.43.2 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_2
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.46.0 hd590300_0
    - libxml2 2.11.5 h232c23b_1
    - libzlib 1.2.13 hd590300_5
    - llvm-tools 17.0.3 h5cf9203_0
    - llvmdev 17.0.3 h5cf9203_0
    - make 4.3 hd18ef5c_1
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - pip 23.3.1 pyhd8ed1ab_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - protobuf 4.24.4 py312h9a107e5_0
    - python 3.12.0 hab00c5b_0_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - rhash 1.4.4 hd590300_0
    - rust 1.73.0 h70c747d_2
    - rust-std-x86_64-unknown-linux-gnu 1.73.0 hc1431ca_2
    - setuptools 68.2.2 pyhd8ed1ab_0
    - sysroot_linux-64 2.12 he073ed8_16
    - tk 8.6.13 h2797004_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.41.2 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - ca-certificates 2023.7.22 hbcca054_0
    - clang 17.0.3 ha0738ec_0
    - clang-17 17.0.3 default_h1cdf331_0
    - clang-format 17.0.3 default_h1cdf331_0
    - clang-format-17 17.0.3 default_h1cdf331_0
    - clang-tools 17.0.3 default_h1cdf331_0
    - clangdev 17.0.3 default_h1cdf331_0
    - clangxx 17.0.3 default_h1cdf331_0
    - gcc_impl_linux-64 13.2.0 h338b0a0_2
    - icu 73.2 h59595ed_0
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - ld_impl_linux-64 2.40 h41732ed_0
    - libclang 17.0.3 default_h1cdf331_0
    - libclang-cpp 17.0.3 default_h1cdf331_0
    - libclang-cpp17 17.0.3 default_h1cdf331_0
    - libclang13 17.0.3 default_h4d60ac6_0
    - libgcc-devel_linux-64 13.2.0 ha9c7c90_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libiconv 1.17 h166bdaf_0
    - libllvm17 17.0.3 h5cf9203_0
    - libsanitizer 13.2.0 h7e041cc_2
    - libsqlite 3.43.2 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - libxml2 2.11.5 h232c23b_1
    - libzlib 1.2.13 hd590300_5
    - llvm-tools 17.0.3 h5cf9203_0
    - llvmdev 17.0.3 h5cf9203_0
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - readline 8.2 h8228510_1
    - sqlite 3.43.2 h2c6b66d_0
    - sysroot_linux-64 2.12 he073ed8_16
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 hd590300_5
    - zstd 1.5.5 hfc55251_0
  run:
    - libgcc-ng >=12
    - libsqlite >=3.43.2,<4.0a0
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - openssl >=3.1.3,<4.0a0
    - sqlite
test:
  commands:
    - annonars --help
about:
  home: https://github.com/bihealth/annonars
  license: Apache-2.0
  license_file: LICENSE.txt
  summary: Genome annotation based on Rust and RocksDB.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - holtgrewe
